package ac.ed.lurg.country.gams;

import ac.ed.lurg.landuse.AreasItem;
import ac.ed.lurg.landuse.IrrigationCostItem;
import ac.ed.lurg.yield.YieldRaster;
import ac.sac.raster.RasterSet;

public class GamsRasterInput {
	
	private YieldRaster yields;
	private RasterSet<AreasItem> previousAreas;
	private RasterSet<IrrigationCostItem> irrigationCost;
	private GamsCountryInput countryInput;

	public GamsRasterInput(YieldRaster yields, RasterSet<AreasItem> previousAreas, 
			RasterSet<IrrigationCostItem> irrigationCost, GamsCountryInput countryInput) {
		super();
		this.yields = yields;
		this.previousAreas = previousAreas;
		this.irrigationCost = irrigationCost;
		this.countryInput = countryInput;
	}

	public YieldRaster getYields() {
		return yields;
	}

	public RasterSet<AreasItem> getPreviousAreas() {
		return previousAreas;
	}
	
	public RasterSet<IrrigationCostItem> getIrrigationCost() {
		return irrigationCost;
	}
	
	public GamsCountryInput getCountryInput() {
		return countryInput;
	}
}
