package ac.ed.lurg.landuse;

import java.util.HashMap;
import java.util.Map;

import ac.ed.lurg.types.CropType;
import ac.sac.raster.RasterItem;

public class IntensitiesItem implements RasterItem {

	Map<CropType, Intensity> intensityMap = new HashMap<CropType, Intensity>();
	
	public Intensity getIntensity(CropType crop) {
		return intensityMap.get(crop);
	}
	
	public void setIntensity(CropType crop, Intensity intensityData) {
		intensityMap.put(crop, intensityData);
	}
}
