package ac.ed.lurg.landuse;

import ac.sac.raster.RasterItem;

public class IrrigationCostItem implements RasterItem {
	// we have gone from CGIAR Aridity Index to an aridity cost by doing the following:  1 - log10(aridityIndex+1)/5
	// when is the limited to be >= 0 (only Greenland had negative values)
	// this gives a value from 1 to 0, with 1 being the most costly and 0 the least.
	
	private double irrigationCost;
	
	public double getIrrigCost() {
		return irrigationCost;
	}
	
	public void setIrrigCost(double aridityIndex) {
		this.irrigationCost = aridityIndex;
	}
}
