package ac.ed.lurg.country;


public class Country {

	private String countryName;
	private String iso3CharCode;
	private int iso3NumCode;

	
	public Country(String countryName, String iso3CharCode, int iso3NumCode) {
		super();
		this.countryName = countryName;
		this.iso3CharCode = iso3CharCode;
		this.iso3NumCode = iso3NumCode;
	}

	public String getIso3CharCode() {
		return iso3CharCode;
	}

	public int getIso3NumCode() {
		return iso3NumCode;
	}

	public String getCountryName() {
		return countryName;
	}
	
	@Override
	public String toString() {
		return countryName;
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result
				+ ((countryName == null) ? 0 : countryName.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		Country other = (Country) obj;
		if (countryName == null) {
			if (other.countryName != null)
				return false;
		} else if (!countryName.equals(other.countryName))
			return false;
		return true;
	}
}
