package ac.ed.lurg.country.gams;

import java.util.Map;

import ac.ed.lurg.landuse.AreasItem;
import ac.ed.lurg.landuse.IrrigationCostItem;
import ac.ed.lurg.yield.YieldResponsesItem;

public class GamsLocationInput {
	
	private Map<Integer, ? extends YieldResponsesItem> yields;
	private Map<Integer, ? extends AreasItem> previousAreas;
	private Map<Integer, ? extends IrrigationCostItem> irrigationCosts;
	private GamsCountryInput countryInput;
	
	public GamsLocationInput(Map<Integer, ? extends YieldResponsesItem> yields, Map<Integer, ? extends AreasItem> previousAreas,
			Map<Integer, ? extends IrrigationCostItem> irrigationCosts, GamsCountryInput countryInput) {
		super();
		this.yields = yields;
		this.previousAreas = previousAreas;
		this.irrigationCosts = irrigationCosts;
		this.countryInput = countryInput;
	}
	
	public Map<Integer, ? extends YieldResponsesItem> getYields() {
		return yields;
	}
	
	public Map<Integer, ? extends AreasItem> getPreviousAreas() {
		return previousAreas;
	}
	
	public Map<Integer, ? extends IrrigationCostItem> getIrrigationCosts() {
		return irrigationCosts;
	}
	
	public GamsCountryInput getCountryInput() {
		return countryInput;
	}
}
