package ac.ed.lurg.landuse;

import ac.ed.lurg.ModelConfig;
import ac.sac.raster.AbstractRasterReader;
import ac.sac.raster.RasterSet;

public class IrrigiationCostReader extends AbstractRasterReader<IrrigationCostItem> {	
	
	public IrrigiationCostReader (RasterSet<IrrigationCostItem> dataset) {
		super(dataset);
	}

	@Override
	public void setData(IrrigationCostItem item, String token) {
		if (!"nan".equals(token)) {	
			double irrigCost = Double.parseDouble(token);
			item.setIrrigCost(irrigCost * ModelConfig.IRRIG_COST_SCALE_FACTOR);
		}
	}
}
