package ac.ed.lurg.landuse;

import ac.ed.lurg.types.LandCoverType;
import ac.sac.raster.AbstractRasterReader;
import ac.sac.raster.RasterSet;

public class LandCoverReader extends AbstractRasterReader<LandCoverItem> {	

	private LandCoverType landType;
	
	public LandCoverReader (RasterSet<LandCoverItem> dataset, LandCoverType landType) {
		super(dataset);
		this.landType = landType;
	}
	
	@Override
	public void setData(LandCoverItem item, String token) {
		double d = Double.parseDouble(token);
		item.setLandCover(landType, d);
	}
}
