package ac.ed.lurg.yield;

import ac.ed.lurg.types.CropType;

public class AveragingYieldResponsesItem extends YieldResponsesItem {
	
	@Override
	YieldResponse getYieldResponseForCrop(CropType crop) {
		YieldResponse yresp = yieldResponses.get(crop);
		if (yresp == null) {
			yresp = new AveragingYieldResponse();
			yieldResponses.put(crop, yresp);
		}
		return yresp;
	}
}
